# TruncU32 in k210_soc::spi - Rust
Trait for trunction of a SPI frame from u32 register to other unsigned integer types.
Keywords: rust, rustlang, rust-lang, TruncU32

# Trait k210_soc::spi::TruncU32

source · [−]

    pub trait TruncU32 {
        fn trunc(val: u32) -> Self;
    }

Expand description

Trait for trunction of a SPI frame from u32 register to other unsigned integer types.

## Required methods

source

#### fn trunc(val: u32) -> Self

## Implementations on Foreign Types

source

### impl TruncU32 for u32

source

#### fn trunc(val: u32) -> u32

source

### impl TruncU32 for u16

source

#### fn trunc(val: u32) -> u16

source

### impl TruncU32 for u8

source

#### fn trunc(val: u32) -> u8

## Implementors